calcite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Josh Elser <josh.el...@gmail.com>
Subject Re: Towards Avatica 1.9
Date Sun, 23 Oct 2016 20:08:51 GMT
One last thing: I just closed out CALCITE-1255 (already done) and moved 
the rest of the unresolved issues in fixVersion=avatica-1.9.0 to 
avatica-1.10.0.

Josh Elser wrote:
> Alright, just made a whirlwind-pass through issues:
>
> 2ee0e35 [CALCITE-1464] Upgrade Jetty version to 9.2.19v20160908
> 2438d53 [CALCITE-1463] standalone-server needs to relocate dependencies
> itself
> 221d180 [CALCITE-1355] Upgrade to protobuf-java 3.1.0
> 483b9f9 [CALCITE-1462] Remove Avatica pom cruft
>
> Let me clean up the fixVersion=avatica-1.9.0 to reflect this (and we can
> use that to track any further action before we make this release).
>
> - Josh
>
> Josh Elser wrote:
>> First off, thanks for volunteering, Julian!
>>
>> Let me get in the stable protobuf-3 patch today. I've just been ignoring
>> this.
>>
>> I was hoping to get ARRAY support done, but it was trickier than I
>> anticipated and I'm still working on it. I think I should not hold up
>> the release more. I can finish it in 1.10.
>>
>> I see a few dependencies which only exist in depMgmt (hadoop and
>> findbugs, so far). I'll clean these up now as well. [1]
>>
>> * Updating jetty to 9.2.19.v20160908 is probably safe/good to do.
>> * Updating to jodatime 2.9.4 also sounds good[2]
>>
>> - Josh
>>
>> [1] https://issues.apache.org/jira/browse/CALCITE-1462
>> [2] http://www.joda.org/joda-time/upgradeto294.html
>>
>> Julian Hyde wrote:
>>> With
>>> https://issues.apache.org/jira/browse/CALCITE-1458<https://issues.apache.org/jira/browse/CALCITE-1458>
>>>
>>> I think we need an avatica-1.9 fairly soon. Say, first RC on Wednesday
>>> (he says, pulling a date out of the air).
>>>
>>> I volunteer to be release manager (unless someone would *love* to be
>>> RM).
>>>
>>> What do you all think?
>>>
>>> Are there any dependencies we should upgrade? Here’s the full list:
>>>
>>> <airlift-tpch.version>0.1</airlift-tpch.version>
>>> <avatica.version>1.8.0</avatica.version>
>>> <build-helper-maven-plugin.version>1.9</build-helper-maven-plugin.version>
>>>
>>>
>>> <cassandra-driver-core.version>3.0.0</cassandra-driver-core.version>
>>> <checksum-maven-plugin.version>1.2</checksum-maven-plugin.version>
>>> <commons-dbcp.version>1.4</commons-dbcp.version>
>>> <commons-lang3.version>3.2</commons-lang3.version>
>>> <commons-logging.version>1.1.3</commons-logging.version>
>>> <eigenbase-properties.version>1.1.5</eigenbase-properties.version>
>>> <elasticsearch-java-driver.version>2.3.2</elasticsearch-java-driver.version>
>>>
>>>
>>> <findbugs.version>1.3.9</findbugs.version>
>>> <fmpp-maven-plugin.version>1.0</fmpp-maven-plugin.version>
>>> <foodmart-data-hsqldb.version>0.3</foodmart-data-hsqldb.version>
>>> <foodmart-queries.version>0.4.1</foodmart-queries.version>
>>> <freemarker.version>2.3.19</freemarker.version>
>>> <git-commit-id-plugin.version>2.1.9</git-commit-id-plugin.version>
>>> <!-- We support (and test against) Guava versions between
>>> 14.0.1 (Hive) and 19.0 (most recent).
>>> Override with your preferred version and it should work. -->
>>> <guava.version>18.0</guava.version>
>>> <joda.version>2.8.1</joda.version>
>>> <h2.version>1.4.185</h2.version>
>>> <hadoop.version>2.6.0</hadoop.version>
>>> <hamcrest.version>1.3</hamcrest.version>
>>> <hppc.version>0.7.1</hppc.version>
>>> <hsqldb.version>2.3.1</hsqldb.version>
>>> <httpclient.version>4.5.2</httpclient.version>
>>> <httpcore.version>4.4.4</httpcore.version>
>>> <hydromatic-resource.version>0.5.1</hydromatic-resource.version>
>>> <hydromatic-toolbox.version>0.3</hydromatic-toolbox.version>
>>> <hydromatic-tpcds.version>0.4</hydromatic-tpcds.version>
>>> <jackson.version>2.6.3</jackson.version>
>>> <janino.version>2.7.6</janino.version>
>>> <java-diff.version>1.1</java-diff.version>
>>> <javacc-maven-plugin.version>2.4</javacc-maven-plugin.version>
>>> <jcip-annotations.version>1.0-1</jcip-annotations.version>
>>> <jetty.version>9.2.15.v20160210</jetty.version>
>>> <jmh.version>1.11.2</jmh.version>
>>> <junit.version>4.12</junit.version>
>>> <maven-checkstyle-plugin.version>2.12.1</maven-checkstyle-plugin.version>
>>>
>>> <maven-dependency-plugin.version>2.10</maven-dependency-plugin.version>
>>> <maven-failsafe-plugin.version>2.7.2</maven-failsafe-plugin.version>
>>> <maven-scm-provider.version>1.9.1</maven-scm-provider.version>
>>> <maven-shade-plugin.version>2.1</maven-shade-plugin.version>
>>> <maven-source-plugin.version>2.4</maven-source-plugin.version>
>>> <mockito-all.version>1.10.19</mockito-all.version>
>>> <mongo-java-driver.version>2.12.3</mongo-java-driver.version>
>>> <mysql-driver.version>5.1.20</mysql-driver.version>
>>> <opencsv.version>2.3</opencsv.version>
>>> <oracle-jdbc6-driver.version>11.2.0.2.0</oracle-jdbc6-driver.version>
>>> <pentaho-aggdesigner.version>5.1.5-jhyde</pentaho-aggdesigner.version>
>>> <postgresql.version>9.3-1102-jdbc3</postgresql.version>
>>> <protobuf.version>3.0.0-beta-1</protobuf.version>
>>> <quidem.version>0.7</quidem.version>
>>> <scala.version>2.10.3</scala.version>
>>> <scott-data-hsqldb.version>0.1</scott-data-hsqldb.version>
>>> <servlet.version>3.0.1</servlet.version>
>>> <slf4j.version>1.7.13</slf4j.version>
>>> <spark.version>1.6.1</spark.version>
>>> <sqlline.version>1.1.9</sqlline.version>
>>> <xalan.version>2.7.1</xalan.version>
>>> <xerces.version>2.9.1</xerces.version>
>>>
>>>
>>>
>>> Julian
>>>
>>>
>>>
>>>
>>>> On Oct 11, 2016, at 8:06 PM, Josh Elser<josh.elser@gmail.com> wrote:
>>>>
>>>> I'd like to finish up two issues:
>>>>
>>>> https://issues.apache.org/jira/browse/CALCITE-1050 ARRAY support. I
>>>> think this one is close. I need to write more tests. I am aiming to
>>>> commit this week.
>>>>
>>>> https://issues.apache.org/jira/browse/CALCITE-1355 Protobuf-java
>>>> upgrade. Since there is a stable release, we should get on to one of
>>>> those instead of the alpha/beta we presently have.
>>>>
>>>> There are few others in the pipeline that I need to revisit, but I
>>>> don't think they should block avatica-1.9
>>>>
>>>> Julian Hyde wrote:
>>>>> Over 20 commits and 4 months since the last Avatica release. Is it
>>>>> about time we had another?
>>>>>
>>>>> Does anyone have any time constraints (must be done before X; or
>>>>> must be done after Y; or please wait until I’ve had chance to fix
>>>>> bugs Z1 and Z2)?
>>>>>
>>>>> See the tracking JIRA case,
>>>>> https://issues.apache.org/jira/browse/CALCITE-1354<https://issues.apache.org/jira/browse/CALCITE-1354>,
>>>>>
>>>>> and the corresponding Calcite issue
>>>>> https://issues.apache.org/jira/browse/CALCITE-1270<https://issues.apache.org/jira/browse/CALCITE-1270>.
>>>>>
>>>>>
>>>>>
>>>>> Julian
>>>>>
>>>>>
>>>
>>>

Mime
View raw message